# $Revision: 1.30 $, $Date: 2004/04/01 20:49:17 $
Summary:	libmorph Morphing Library
Summary(pl):	libmorph biblioteka do morfingu
Name:		libmorph
Version:	0.1.2
Release:	6
License:	GPL
Group:		Libraries
Source0:	http://wine.sexcity.pl/morpheus/%{name}-%{version}.tar.gz
# Source0-md5:	d7df93c012418ec16ed6773bb5cb926f
Patch0:		%{name}-amfix.patch
URL:		http://wine.sexcity.pl/morpheus/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that provides loaders for various popular formats of meshes
(3D modeler object files). The meshes are stored in memory in
structures and arrays easily accessible via 3D rendering API's like
OpenGL[TM].

Currently it supports LWO (LightWave) and 3DS (3D Studio) formats.

%description -l pl
Ta biblioteka udostpnia funkcje wczytujce rne popularne formaty
siatek (plikw obiektw z modelerw 3D). Siatki s zapisywane w
pamici w strukturach i tablicach atwo dostpnych poprzez API
renderujce typu OpenGL[TM].

W chwili obecnej obsuguje formaty LWO (LightWave) i 3DS (3D Studio).

%package devel
Summary:	LibMorph development files
Summary(pl):	Pliki programistyczne LibMorph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for LibMorph library.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilacji programw uywajcych
libmorph.

%package static
Summary:	LibMorph static library
Summary(pl):	Statyczna biblioteka LibMorph
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libmorph library.

%description static -l pl
Statyczna wersja biblioteki libmorph.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/morph/loaders/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libmorph*.so.*.*.*
%dir %{_libdir}/morph
%dir %{_libdir}/morph/loaders
%attr(755,root,root) %{_libdir}/morph/loaders/*.so

%files devel
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/morph

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmorph.spec,v $
Revision 1.30  2004/04/01 20:49:17  qboosh
- added amfix patch (fixes build and linking)
- fixed descriptions and Groups (this lib has nothing to do with X11)
- removed useless files, release 6 for Ac

Revision 1.29  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.26  2002/11/25 14:16:56  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/07/14 19:15:07  kloczek
- release 5.

Revision 1.23  2002/07/13 20:57:05  blues
- new doc

Revision 1.22  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/02 20:23:18  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.16  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/05/28 17:40:24  kloczek
- release 4,
- fix building on sparc: regenerate ac/am/lt files.

Revision 1.14  2001/05/27 16:41:33  kloczek
- relase 3.

Revision 1.13  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.12  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.11  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/31 10:26:00  kloczek
- s/config/ldconfig/.

Revision 1.7  2000/03/31 10:21:15  kloczek
- added stripping loaders.

Revision 1.6  2000/03/31 10:16:01  kloczek
- spec adapterized,
- some cleanups.

Revision 1.5  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 12:34:24  cieciwa
- typo.

Revision 1.3  2000/03/28 12:33:38  cieciwa
- added missing %%post and %%postun.

Revision 1.2  2000/03/28 12:29:09  cieciwa
- added devel and static package,
- fixes %% description fields,
- stripped shared libs.

Revision 1.1  2000/03/28 11:52:16  cieciwa
- initial spec.
